<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Internships block default settings
 *
 * @author     Pablo Pagnone
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 **/

defined('MOODLE_INTERNAL') || die();

require_once($CFG->dirroot.'/blocks/internships/block_internships.php');

function xmldb_block_internships_install() {
    $plugin = 'block_internships';
    set_config('internships_url'    , block_internships::DEFAULT_URL_INTERNSHIPS, $plugin);
    set_config('internships_api_url', block_internships::DEFAULT_BASE_URL       , $plugin);
    set_config('key'                , block_internships::DEFAULT_KEY            , $plugin);
    set_config('secret'             , block_internships::DEFAULT_SECRET         , $plugin);
}
