M.block_internships = M.block_internships || {};
/* Validate form search*/
M.block_internships.initsearch = function(Y) {

    Y.on('submit', function(e) {
        whatdefault  = M.str.block_internships.first_question_default;
        wheredefault = M.str.block_internships.second_question_default;
        errormsg     = M.str.block_internships.search_error;

        var whatinput = Y.one('input#internships_what');
        if (!whatinput) {
            return;
        }
        var wheretinput = Y.one('input#internships_where');
        if (!wheretinput) {
            return;
        }

        var what = Y.Lang.trim(whatinput.get('value'));
        var where = Y.Lang.trim(wheretinput.get('value'));

        var whatempty  = (what.length  == 0);
        var whereempty = (where.length == 0);
        if (!Y.zui.placeholder.isNative) {
        	whatempty  = whatempty  || (what  == whatdefault);
        	whereempty = whereempty || (where == wheredefault);
        }

        if ( (whatempty && whereempty) ||
             (!whatempty && (what.length  < 2)) ||
             (!whereempty && (where.length < 2)) ) {
            e.preventDefault();
            alert(errormsg);
        } else {
            // Uninstall YUI HTML5 placeholder support for older browsers.
            Y.zui.placeholder.uninstall('input#internships_what,input#internships_where');
        }
    }, '#internships_form_search');

    // Install YUI HTML5 placeholder support for older browsers.
    Y.zui.placeholder.install('input#internships_what,input#internships_where');
}
