<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Version details
 *
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 * @author     Darko Miletic
 */

defined('MOODLE_INTERNAL') || die();

$plugin->version   = 2012102216;
$plugin->requires  = 2011120500; // Moodle 2.2+.
$plugin->cron      = 0;
$plugin->component = 'block_internships';
$plugin->maturity  = MATURITY_STABLE;
$plugin->release   = '1.01 (Build: 2012102216)';

$plugin->dependencies = array(
                            // Requires Moodlerooms Framework.
                            'local_mr' => 2010090200
                        );